Module java.base
Package java.security

## Enum KeyRep.Type

- java.lang.Object
- - java.lang.Enum<KeyRep.Type>
  - - java.security.KeyRep.Type

- All Implemented Interfaces:
    `Serializable`, `Comparable<KeyRep.Type>`
  Enclosing class:
    KeyRep

      public static enum KeyRep.Type
      extends Enum<KeyRep.Type>

  Key type.
  Since:
    1.5

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `PRIVATE` | Type for private keys.
    `PUBLIC` | Type for public keys.
    `SECRET` | Type for secret keys.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static KeyRep.Type` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static KeyRep.Type[]` | `values​()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SECRET

          public static final KeyRep.Type SECRET

      Type for secret keys.

    - #### PUBLIC

          public static final KeyRep.Type PUBLIC

      Type for public keys.

    - #### PRIVATE

          public static final KeyRep.Type PRIVATE

      Type for private keys.

  - ### Method Detail

    - #### values

          public static KeyRep.Type[] values​()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (KeyRep.Type c : KeyRep.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static KeyRep.Type valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null